Managed Hsms - List Deleted

The List operation gets information about the deleted managed HSMs associated with the subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.KeyVault/deletedManagedHSMs?api-version=2021-10-01

URI Parameters

Name In Required Type Description
subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client Api Version.

Responses

Name Type Description
200 OK

Retrieved information about all managed HSMs in the specified subscription.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List deleted managed HSMs in the specified subscription

Sample Request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/deletedManagedHSMs?api-version=2021-10-01

Sample Response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/locations/westus/deletedManagedHSMs/hsm1",
      "name": "vault-agile-drawer-6404",
      "type": "Microsoft.KeyVault/deletedManagedHSMs",
      "properties": {
        "mhsmId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/hsm-group/providers/Microsoft.KeyVault/managedHSMs/hsm1",
        "location": "westus",
        "deletionDate": "2021-04-01T00:00:59Z",
        "scheduledPurgeDate": "2021-04-01T00:00:59Z",
        "purgeProtectionEnabled": true,
        "tags": {
          "Dept": "hsm",
          "Environment": "production"
        }
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/locations/westus/deletedManagedHSMs/hsm2",
      "name": "vault-agile-drawer-6404",
      "type": "Microsoft.KeyVault/deletedManagedHSMs",
      "properties": {
        "mhsmId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/hsm-group/providers/Microsoft.KeyVault/managedHSMs/hsm2",
        "location": "westus",
        "deletionDate": "2021-04-01T00:00:59Z",
        "scheduledPurgeDate": "2021-04-01T00:00:59Z",
        "purgeProtectionEnabled": true,
        "tags": {
          "Dept": "hsm",
          "Environment": "production"
        }
      }
    }
  ],
  "nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.KeyVault/deletedManagedHSMs?api-version=2021-10-01&$skiptoken=dmF1bHQtcGVza3ktanVyeS03MzA3Ng=="
}

Definitions

DeletedManagedHsm
DeletedManagedHsmListResult

List of deleted managed HSM Pools

DeletedManagedHsmProperties

Properties of the deleted managed HSM.

Error

The server error.

ManagedHsmError

The error exception.

DeletedManagedHsm

Name Type Description
id
  • string

The Azure Resource Manager resource ID for the deleted managed HSM Pool.

name
  • string

The name of the managed HSM Pool.

properties

Properties of the deleted managed HSM

type
  • string

The resource type of the managed HSM Pool.

DeletedManagedHsmListResult

List of deleted managed HSM Pools

Name Type Description
nextLink
  • string

The URL to get the next set of deleted managed HSM Pools.

value

The list of deleted managed HSM Pools.

DeletedManagedHsmProperties

Properties of the deleted managed HSM.

Name Type Description
deletionDate
  • string

The deleted date.

location
  • string

The location of the original managed HSM.

mhsmId
  • string

The resource id of the original managed HSM.

purgeProtectionEnabled
  • boolean

Purge protection status of the original managed HSM.

scheduledPurgeDate
  • string

The scheduled purged date.

tags
  • object

Tags of the original managed HSM.

Error

The server error.

Name Type Description
code
  • string

The error code.

innererror

The inner error, contains a more specific error code.

message
  • string

The error message.

ManagedHsmError

The error exception.

Name Type Description
error

The server error.